## org.apache.commons.configuration
Class PropertiesConfiguration.DefaultIOFactory

    java.lang.Object
      org.apache.commons.configuration.PropertiesConfiguration.DefaultIOFactory

All Implemented Interfaces:
  PropertiesConfiguration.IOFactory

Enclosing class:
  PropertiesConfiguration

    public static class PropertiesConfiguration.DefaultIOFactory

extends Object
implements PropertiesConfiguration.IOFactory

A default implementation of the `IOFactory` interface.

This class implements the `createXXXX()` methods defined by the `IOFactory` interface in a way that the default objects (i.e. `PropertiesReader` and `PropertiesWriter` are returned. Customizing either the reader or the writer (or both) can be done by extending this class and overriding the corresponding `createXXXX()` method.

Since:
  1.7

Constructor Summary
`PropertiesConfiguration.DefaultIOFactory()`

Method Summary
`PropertiesConfiguration.PropertiesReader` `createPropertiesReader(Reader in, char delimiter)` Creates a `PropertiesReader` for reading a properties file.
`PropertiesConfiguration.PropertiesWriter` `createPropertiesWriter(Writer out, char delimiter)` Creates a `PropertiesWriter` for writing a properties file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesConfiguration.DefaultIOFactory

    public PropertiesConfiguration.DefaultIOFactory()

Method Detail

### createPropertiesReader

    public PropertiesConfiguration.PropertiesReader createPropertiesReader(Reader in,
                                                                           char delimiter)

  Description copied from interface: `PropertiesConfiguration.IOFactory`
  Creates a `PropertiesReader` for reading a properties file. This method is called whenever the `PropertiesConfiguration` is loaded. The reader returned by this method is then used for parsing the properties file.

  Specified by:
    `createPropertiesReader` in interface `PropertiesConfiguration.IOFactory`
  Parameters:
    `in` - the underlying reader (of the properties file)
    `delimiter` - the delimiter character for list parsing
  Returns:
    the `PropertiesReader` for loading the configuration

### createPropertiesWriter

    public PropertiesConfiguration.PropertiesWriter createPropertiesWriter(Writer out,
                                                                           char delimiter)

  Description copied from interface: `PropertiesConfiguration.IOFactory`
  Creates a `PropertiesWriter` for writing a properties file. This method is called before the `PropertiesConfiguration` is saved. The writer returned by this method is then used for writing the properties file.

  Specified by:
    `createPropertiesWriter` in interface `PropertiesConfiguration.IOFactory`
  Parameters:
    `out` - the underlying writer (to the properties file)
    `delimiter` - the delimiter character for list parsing
  Returns:
    the `PropertiesWriter` for saving the configuration

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.